
<CsoundSynthesizer>
<CsOptions>
; Select audio/midi flags here according to platform
; Audio out   Audio in    No messages
;-odac           -iadc     -d     ;;;RT audio I/O

csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  
</CsOptions>
<CsInstruments>

; Initialize the global variables.
sr = 44100
kr = 4410
ksmps = 10
nchnls = 1
0dbfs  = 1

; Instrument #1.
instr 1

;kfn linseg 1, p3 * 0.5, 2.1, p3 * 0.5, 1  ;goes between table 1 and 2
;kfn transeg 1, p3 * 0.5, 2, p3 * 0.5, 1  ;goes between table 1 and 2
;kfn transegb 1, p3 * 0.33, 0,  2, p3 * 0.33, 0,  1, p3 * 0.34, 0  ;goes between table 1 and 2

kfn transegb 1, p3*0.25, 0, 2.5, p3*.75, 0, 1
  kamp init 0.75
  kcps init 220

;printk 0.25, kfn

  a1 oscilikt kamp, kcps, kfn
  out a1
endin


</CsInstruments>
<CsScore>

; Table #1, a sine waveform.
f 1 0 4096 10 0 1
; Table #2: a sawtooth wave
f 2 0 3 -2 1 0 -1

; Play Instrument #1 for two seconds.
i 1 0 6


</CsScore>
</CsoundSynthesizer>
